Description

I have a use case where we want to give readonly access to set of users, but limit it to hosts that are in a specific domain. Currently, I

can edit the individual users to set this permission (using the user level filters), but there is no way to do it for a set of users without

actually editing each user.

I feel that anything that can be set permissions-wise for an individual user, should also be able to be done at the usergroup level. It

looks like the main three things that we are missing are:

1) administrator permission

2) assigning roles

3) setting filters

It looks like there was a ticket already opened on this topic but it was resolved. http://theforeman.org/issues/1494

One thing that will need to be resolved, is what to do if there are permissions set at both the usergroup level and the user level.

(Thing just a union of the permissions is the way to go.)

Related issues:

Related to Foreman - Feature #813: Support AD group membership for authorizat... Closed 03/31/2011

Related to Foreman - Feature #812: cant assign roles to groups, just to users Closed 03/31/2011

History

#1 - 11/15/2012 11:25 AM - Benjamin Papillon

- Tracker changed from Bug to Feature

Hello,

I move this ticket to "feature request" as it is wanted to add functionality to the existing permissions and not an actual bug.

#2 - 10/31/2013 12:22 PM - Ohad Levy

- Related to Feature #812: cant assign roles to groups, just to users added

#3 - 11/21/2013 01:44 PM - Dominic Cleal

- Description updated

- Status changed from New to Assigned

- Assignee set to Marek Hulán

- Target version set to 1.10.0

#4 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#5 - 01/09/2014 01:47 PM - Marek Hulán

- Status changed from Assigned to Ready For Testing
http://theforeman.org/issues/1494


This is part of bigger task #812. I mark this as ready for testing since this part is done (even though it can't be merged until #812 is done).

#6 - 01/09/2014 02:08 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#7 - 02/06/2014 12:12 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#8 - 03/03/2014 12:48 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#9 - 03/03/2014 02:35 PM - Dominic Cleal

- % Done changed from 0 to 100

- translation missing: en.field_release set to 4

Fixed via #812 for Foreman 1.5.0.

#10 - 03/03/2014 02:36 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed
